#!/usr/bin/env ruby
require "numru/gphys"
include NumRu

dir = "."
file = "sp-bg.nc"
varname = "sd"

gp_sp_bg = GPhys::IO.open_gturl("#{dir}/#{file}@#{varname}")
gp_sp_s, gp_sp_a = ["sym", "antisym"].map do |t|
  file = "sp-#{t}.nc"
  gp0 = GPhys::IO.open_gturl("#{dir}/#{file}@#{varname}")
  gp0 / gp_sp_bg
end

type="sym"
outfile = NetCDF.create("sp-#{type}-per-bg.nc")
GPhys::IO.write(outfile, gp_sp_s)
outfile.close

type="antisym"
outfile = NetCDF.create("sp-#{type}-per-bg.nc")
GPhys::IO.write(outfile, gp_sp_a)
outfile.close
